Skip to main content
GET
/
v1
/
accounts
/
{account_id}
/
models
/
{model_id}
Get Model
curl --request GET \
  --url https://api.fireworks.ai/v1/accounts/{account_id}/models/{model_id} \
  --header 'Authorization: Bearer <token>'
{
  "name": "<string>",
  "displayName": "<string>",
  "description": "<string>",
  "createTime": "2023-11-07T05:31:56Z",
  "state": "STATE_UNSPECIFIED",
  "status": {
    "code": "OK",
    "message": "<string>"
  },
  "kind": "KIND_UNSPECIFIED",
  "githubUrl": "<string>",
  "huggingFaceUrl": "<string>",
  "baseModelDetails": {
    "worldSize": 123,
    "checkpointFormat": "CHECKPOINT_FORMAT_UNSPECIFIED",
    "huggingfaceFiles": [
      "<string>"
    ],
    "parameterCount": "<string>",
    "moe": true,
    "tunable": true,
    "modelType": "<string>",
    "supportsFireattention": true,
    "defaultPrecision": "PRECISION_UNSPECIFIED",
    "supportsMtp": true
  },
  "peftDetails": {
    "baseModel": "<string>",
    "r": 123,
    "targetModules": [
      "<string>"
    ],
    "baseModelType": "<string>",
    "mergeAddonModelName": "<string>"
  },
  "teftDetails": {},
  "public": true,
  "conversationConfig": {
    "style": "<string>",
    "system": "<string>",
    "template": "<string>"
  },
  "contextLength": 123,
  "supportsImageInput": true,
  "supportsTools": true,
  "importedFrom": "<string>",
  "fineTuningJob": "<string>",
  "defaultDraftModel": "<string>",
  "defaultDraftTokenCount": 123,
  "deployedModelRefs": [
    {
      "name": "<string>",
      "deployment": "<string>",
      "state": "STATE_UNSPECIFIED",
      "default": true,
      "public": true
    }
  ],
  "cluster": "<string>",
  "deprecationDate": {
    "year": 123,
    "month": 123,
    "day": 123
  },
  "calibrated": true,
  "tunable": true,
  "supportsLora": true,
  "useHfApplyChatTemplate": true,
  "updateTime": "2023-11-07T05:31:56Z",
  "defaultSamplingParams": {},
  "rlTunable": true,
  "trainingContextLength": 123,
  "snapshotType": "FULL_SNAPSHOT",
  "supportsServerless": true,
  "supervisedLoraTunable": true,
  "supervisedFullParameterTunable": true,
  "rlLoraTunable": true,
  "rlFullParameterTunable": true
}

Authorizations

Authorization
string
header
required

Bearer authentication using your Fireworks API key. Format: Bearer <API_KEY>

Path Parameters

account_id
string
required

The Account Id

model_id
string
required

The Model Id

Query Parameters

readMask
string

The fields to be returned in the response. If empty or "*", all fields will be returned.

Response

200 - application/json

A successful response.

name
string
displayName
string

Human-readable display name of the model. e.g. "My Model" Must be fewer than 64 characters long.

description
string

The description of the model. Must be fewer than 1000 characters long.

createTime
string<date-time>

The creation time of the model.

state
enum<string>
default:STATE_UNSPECIFIED

The state of the model.

Available options:
STATE_UNSPECIFIED,
UPLOADING,
READY
status
Mimics [https://github.com/googleapis/googleapis/blob/master/google/rpc/status.proto] · object

Contains detailed message when the last model operation fails.

kind
enum<string>
default:KIND_UNSPECIFIED

The kind of model. If not specified, the default is HF_PEFT_ADDON.

Available options:
KIND_UNSPECIFIED,
HF_BASE_MODEL,
HF_PEFT_ADDON,
HF_TEFT_ADDON,
FLUMINA_BASE_MODEL,
FLUMINA_ADDON,
DRAFT_ADDON,
FIRE_AGENT,
LIVE_MERGE,
CUSTOM_MODEL,
EMBEDDING_MODEL,
SNAPSHOT_MODEL
githubUrl
string

The URL to GitHub repository of the model.

huggingFaceUrl
string

The URL to the Hugging Face model.

baseModelDetails
object

Base model details. Required if kind is HF_BASE_MODEL. Must not be set otherwise.

peftDetails
PEFT addon details. · object

PEFT addon details. Required if kind is HF_PEFT_ADDON or HF_TEFT_ADDON.

teftDetails
object

TEFT addon details. Required if kind is HF_TEFT_ADDON. Must not be set otherwise.

public
boolean

If true, the model will be publicly readable.

conversationConfig
object

If set, the Chat Completions API will be enabled for this model.

contextLength
integer<int32>

The maximum context length supported by the model.

supportsImageInput
boolean

If set, images can be provided as input to the model.

supportsTools
boolean

If set, tools (i.e. functions) can be provided as input to the model, and the model may respond with one or more tool calls.

importedFrom
string

The name of the the model from which this was imported. This field is empty if the model was not imported.

fineTuningJob
string

If the model was created from a fine-tuning job, this is the fine-tuning job name.

defaultDraftModel
string

The default draft model to use when creating a deployment. If empty, speculative decoding is disabled by default.

defaultDraftTokenCount
integer<int32>

The default draft token count to use when creating a deployment. Must be specified if default_draft_model is specified.

deployedModelRefs
object[]

Populated from GetModel API call only.

cluster
string

The resource name of the BYOC cluster to which this model belongs. e.g. accounts/my-account/clusters/my-cluster. Empty if it belongs to a Fireworks cluster.

deprecationDate
Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: · object

If specified, this is the date when the serverless deployment of the model will be taken down.

calibrated
boolean

If true, the model is calibrated and can be deployed to non-FP16 precisions.

tunable
boolean

Deprecated: V1 training stack only — LoRA only, limited architecture support. If the model has use_training_v2=true and your account has AllowTrainingV2, use supervised_lora_tunable and supervised_full_parameter_tunable instead.

supportsLora
boolean

Whether this model supports LoRA.

useHfApplyChatTemplate
boolean

If true, the model will use the Hugging Face apply_chat_template API to apply the chat template.

updateTime
string<date-time>

The update time for the model.

defaultSamplingParams
object

A json object that contains the default sampling parameters for the model.

rlTunable
boolean

Deprecated: V1 training stack only — LoRA only, limited architecture support. If the model has use_training_v2=true and your account has AllowTrainingV2, use rl_lora_tunable and rl_full_parameter_tunable instead.

trainingContextLength
integer<int32>

The maximum context length supported by the model.

snapshotType
enum<string>
default:FULL_SNAPSHOT
Available options:
FULL_SNAPSHOT,
INCREMENTAL_SNAPSHOT
supportsServerless
boolean

If true, the model has a serverless deployment.

supervisedLoraTunable
boolean

V2 only. Whether the model supports LoRA supervised fine-tuning and DPO (lora_rank > 0). True when a validated LORA_TRAINER training shape exists.

supervisedFullParameterTunable
boolean

V2 only. Whether the model supports full-parameter supervised fine-tuning and DPO (lora_rank = 0). True when a validated POLICY_TRAINER training shape exists.

rlLoraTunable
boolean

V2 only. Whether the model supports LoRA reinforcement learning (lora_rank > 0). True when a validated LORA_TRAINER training shape exists plus a deployment shape.

rlFullParameterTunable
boolean

V2 only. Whether the model supports full-parameter reinforcement learning (lora_rank = 0). True when validated POLICY_TRAINER + FORWARD_ONLY training shapes exist plus a deployment shape.